package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
)

type ArticleDao interface {
	GetArticle(id string) (m *model.Article, err error)
	ArticleByTypeId(typeId string) (m *model.Article, err error)
	ArticleByCid(cid string) (*[]model.Article, error)
	FindArticle(page, limit, pid, cateId string) (*[]model.Article, error)
	FindArticleAndTotal(page, limit, pid, cateId string) (*[]model.Article, int64, error)
}
