﻿package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

type EggSignInDao interface {
	EggSignInGet(id int64) (*model.EggSignIn, error)
	EggSignInGetOne(startAt, endAt string, uid int64) (bool, *model.EggSignIn, error)
	EggSignInFindByParams(params map[string]interface{}) ([]*model.EggSignIn, error)
	EggSignINGetOneByTimeAndUid(startAt, endAt string, uid int64, isCompleted int) (bool, *model.EggSignIn, error)
	EggSignInFindByTimeAndParams(startAt, endAt string, isCompleted int, params map[string]interface{}) ([]*model.EggSignIn, error)
	EggSignInInsert(m *model.EggSignIn) (int64, error)
	EggSignInUpdateBySession(session *xorm.Session, id interface{}, eggSignIn *model.EggSignIn, forceColums ...string) (int64, error)
}
